Package org.apache.sysds.runtime.io

## Class BinaryBlockSerialization.MatrixBlockSerializer

- java.lang.Object
- - org.apache.sysds.runtime.io.BinaryBlockSerialization.MatrixBlockSerializer

All Implemented Interfaces:
  `org.apache.hadoop.io.serializer.Serializer<MatrixBlock>`

Enclosing class:
  BinaryBlockSerialization

    public static class BinaryBlockSerialization.MatrixBlockSerializer
    extends Object
    implements org.apache.hadoop.io.serializer.Serializer<MatrixBlock>

### Constructor Summary

Constructors
`MatrixBlockSerializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `open​(OutputStream arg0)`
`void` `serialize​(MatrixBlock mb)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MatrixBlockSerializer

    public MatrixBlockSerializer()

### Method Detail

#### open

    public void open​(OutputStream arg0)
              throws IOException

Specified by:
  `open` in interface `org.apache.hadoop.io.serializer.Serializer<MatrixBlock>`
Throws:
  `IOException`

#### serialize

    public void serialize​(MatrixBlock mb)
                   throws IOException

Specified by:
  `serialize` in interface `org.apache.hadoop.io.serializer.Serializer<MatrixBlock>`
Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `org.apache.hadoop.io.serializer.Serializer<MatrixBlock>`
Throws:
  `IOException`